#pragma once

#include "CoreMinimal.h"
#include "HImageData.generated.h"

USTRUCT(BlueprintType)
struct FHImageData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 SizeX;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 SizeY;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	int32 NumSlices;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	uint8 Format;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	uint8 GammaSpace;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<uint8> RawData;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString RawDataMD5;

public:
	HOUDINIENGINERUNTIME_API FHImageData();
};

FORCEINLINE uint32 GetTypeHash(const FHImageData) { return 0; }
